The Display & Video 360 API now supports Demand Gen resource management. See our
new guide to learn how to build and run a Demand Gen ad campaign.
Send feedback
Method: advertisers.lineItems.delete
Stay organized with collections
Save and categorize content based on your preferences.
Display & Video 360 API v5 is currently in beta.
Deletes a line item.
Returns error code NOT_FOUND if the line item does not exist.
The line item should be archived first, i.e. set entityStatus to ENTITY_STATUS_ARCHIVED, to be able to delete it.
YouTube & Partners line items cannot be created or updated using the API.
HTTP request
DELETE https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/lineItems/{lineItemId}
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
advertiserId
string (int64 format)
The ID of the advertiser this line item belongs to.
lineItemId
string (int64 format)
The ID of the line item to delete.
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview .
Send feedback
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-10-22 UTC.
Need to tell us more?
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-10-22 UTC."],[],[]]